SendWorkflowStepAction
Pauses or resumes image creation when the associated workflow runs a
WaitForAction step.
Request Syntax
PUT /SendWorkflowStepAction HTTP/1.1
Content-type: application/json
{
"action": "string",
"clientToken": "string",
"imageBuildVersionArn": "string",
"reason": "string",
"stepExecutionId": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- action
-
The action to perform on the paused workflow step. The workflow step must be in a waiting state to accept an action. The request fails if the step has already timed out or been actioned.
Type: String
Valid Values:
RESUME | STOPRequired: Yes
- clientToken
-
Unique, case-sensitive identifier you provide to ensure idempotency of the request. For more information, see Ensuring idempotency in the Amazon EC2 API Reference.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Required: Yes
- imageBuildVersionArn
-
The Amazon Resource Name (ARN) of the image build version associated with the workflow step execution. This value must match the image that owns the waiting step. If the ARN does not correspond to the image running the workflow, then the request fails with a validation error.
Type: String
Pattern:
^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?):image/[a-z0-9-_]+/[0-9]+\.[0-9]+\.[0-9]+/[0-9]+$Required: Yes
- reason
-
The reason for the action. This value is stored with the step execution record and is accessible in subsequent workflow steps via step output references.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
Required: No
- stepExecutionId
-
Uniquely identifies the workflow step that sent the step action.
Type: String
Pattern:
^step-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"clientToken": "string",
"imageBuildVersionArn": "string",
"stepExecutionId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- clientToken
-
The client token that uniquely identifies the request.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
- imageBuildVersionArn
-
The Amazon Resource Name (ARN) of the image build version that received the action request.
Type: String
Pattern:
^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?):image/[a-z0-9-_]+/[0-9]+\.[0-9]+\.[0-9]+/[0-9]+$ - stepExecutionId
-
The workflow step that sent the step action.
Type: String
Pattern:
^step-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the specific operation.
HTTP Status Code: 429
- ClientException
-
These errors are usually caused by a client action, such as using an action or resource on behalf of a user that doesn't have permissions to use the action or resource, or specifying an invalid resource identifier.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- IdempotentParameterMismatchException
-
You have specified a client token for an operation using parameter values that differ from a previous request that used the same client token.
HTTP Status Code: 400
- InvalidParameterValueException
-
The value that you provided for the specified parameter is invalid.
HTTP Status Code: 400
- InvalidRequestException
-
You have requested an action that that the service doesn't support.
HTTP Status Code: 400
- ResourceInUseException
-
The resource that you are trying to operate on is currently in use. Review the message details and retry later.
HTTP Status Code: 400
- ResourceNotFoundException
-
At least one of the resources referenced by your request does not exist.
HTTP Status Code: 404
- ServiceException
-
This exception is thrown when the service encounters an unrecoverable exception.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: